<script setup lang="ts">
import { onMounted, ref } from 'vue'
import receiptService from '../services/receipt'
type report ={
  id:number
  name:string
  receiptId: number
  qty:number
  total:number
}
const type = ref<string>('')
const price = ref<number>(0)
const reports = ref<report[]>([])
async function enter(){
  if(type.value==''){
    type.value ='all'
  }
  // reports.value = (await receiptService.report(type.value,price.value)).data
  type.value = ''
  price.value = 0
}

</script>

<template>
  <v-container>
    <v-row class="ma-2">
      <v-col cols="12" sm="6">
        <v-text-field
        v-model="type"
        @keyup.enter="enter()"
        ></v-text-field>
      </v-col>
      <v-col cols="12" sm="6">
        <v-text-field
        v-model="price"
        @keyup.enter="enter()"
        ></v-text-field>
      </v-col>
    </v-row>
  </v-container>
  <v-table class="ma-2 rounded-xl">
    <thead>
      <tr>
        <th class="text-center">id</th>
        <th class="text-center">name</th>
        <th class="text-center">receiptId</th>
        <th class="text-center">qty</th>
        <th class="text-center">total</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(entry, index) in reports" :key="index">
        <td class="text-center">
          {{ entry.id }}
        </td>
        <td class="text-center">
          {{ entry.name }}
        </td>
        <td class="text-center">
          {{ entry.receiptId }}
        </td>
        <td class="text-center">
          {{ entry.qty }}
        </td>
        <td class="text-center">
          {{ entry.total }}
        </td>
      </tr>
    </tbody>
  </v-table>
</template>